Skip to main content
GET
/
v2
/
salesOrders
/
{salesOrderId}
Get Sales Order
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/salesOrders/{salesOrderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "number": "<string>",
  "externalNumber": "<string>",
  "billingNumber": "<string>",
  "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "departureCountry": {
    "countryISO": "<string>",
    "state": "<string>",
    "currencyIso": "<string>",
    "currencyFactor": 123
  },
  "customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "customerVatID": "<string>",
  "merchantVatID": "<string>",
  "billingAddress": {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "company": "<string>",
    "company2": "<string>",
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "state": "<string>",
    "countryIso": "<string>",
    "vatID": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "emailAddress": "<string>",
    "fax": "<string>"
  },
  "shipmentaddress": {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "company": "<string>",
    "company2": "<string>",
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "state": "<string>",
    "countryIso": "<string>",
    "vatID": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "emailAddress": "<string>",
    "fax": "<string>"
  },
  "salesOrderDate": "2023-11-07T05:31:56Z",
  "salesOrderPaymentDetails": {
    "paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "paymentStatus": 0,
    "totalGrossAmount": 123,
    "currencyIso": "<string>",
    "currencyFactor": 123,
    "dateOfPayment": "2023-11-07T05:31:56Z",
    "stillToPay": 123,
    "paymentTarget": 123,
    "cashDiscount": 123,
    "cashDiscountDays": 123
  },
  "salesOrderShippingDetail": {
    "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "deliveryCompleteStatus": 0,
    "shippingPriority": 123,
    "shippingDate": "2023-11-07T05:31:56Z",
    "estimatedDeliveryDate": "2023-11-07T05:31:56Z",
    "deliveredDate": "2023-11-07T05:31:56Z",
    "onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "extraWeight": 123
  },
  "colorcodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "isExternalInvoice": true,
  "comment": "<string>",
  "customerComment": "<string>",
  "isCancelled": true,
  "languageIso": "<string>",
  "cancellationDetails": {
    "cancellationReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "cancellationComment": "<string>",
    "date": "2023-11-07T05:31:56Z"
  },
  "salesChannelId": "<string>",
  "userCreatedId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "userId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "transactionStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}

Documentation Index

Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

salesOrderId
string<uuid>
required

The id of the order to return. Only non-pending orders are returned.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the sales order for the given id.

Model Class: SalesOrder

id
string<uuid>

Unique ID to identify a sales order file.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

number
string

The number of the sales order.

externalNumber
string

The external number of the sales order.

billingNumber
string

The number of the invoice.

companyId
string<uuid>

The company of the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

departureCountry
object

The departure country information of the sales order. If none is indicated, it will be determined from the company's information.

customerId
string<uuid>

The customer ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerVatID
string

The VAT ID of the customer.

merchantVatID
string

The VAT ID of the merchant.

billingAddress
object

The billing address of the sales order.

shipmentaddress
object

The shipping address of the sales order.

salesOrderDate
string<date-time>

The date when the order was created.

salesOrderPaymentDetails
object

Payment specific information of the sales order.

salesOrderShippingDetail
object

Shipping specific information of the sales order.

colorcodeId
string<uuid>

The colour code of the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

isExternalInvoice
boolean

Indicates if the invoice of the order was created in an external system, like Amazon VCS.

comment
string

A comment on the sales order.

customerComment
string

A customer comment on the sales order.

isCancelled
boolean

Indicates if the order has been cancelled. There is a special endpoint for cancelling sales orders.

languageIso
string

The language of the order.

cancellationDetails
object

The cancellation details in case the sales order has been cancelled.

salesChannelId
string

The sales channel of the sales order.

userCreatedId
string<uuid>

The user who created the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

userId
string<uuid>

The user who is responsible for the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

transactionStatusId
string<uuid>

Unique ID to identify a transaction's status.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"